package com.ether;

import java.util.List;

import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

/**
 * @author rboipsl
 * @date 23 feb 2011 
 */
public interface PlotService extends Service
{    
    @Nullable
    List<String> getPlotsByDateByInstrument(@NotNull final String instrument, String pdate, String ft) throws ServiceException;
    @Nullable
    List<String> getPlotsByDateByInstrumentByStation(@NotNull final String instrument, String pdate, String ft, String station) throws ServiceException;    
   // List<String> getLastDate(@NotNull final String instrument) throws ServiceException;
    @Nullable
    List<String> getPlotsByDateByInstrumentByStationByType(@NotNull final String instrument, String pdate, String ft, String station, String type) throws ServiceException;
   
}
